Search the Community

Showing results for tags 'service'.



More search options

  • Search By Tags

    Type tags separated by commas.
  • Search By Author

Content Type


Forums

  • Resilio Sync
    • Sync General Discussion
    • Sync Troubleshooting
    • Sync for NAS (Network Attached Storage)
    • Sync Stories
    • Developers
    • Feature Requests

Find results in...

Find results that contain...


Date Created

  • Start

    End


Last Updated

  • Start

    End


Filter by number of...

Joined

  • Start

    End


Group


AIM


MSN


Website URL


ICQ


Yahoo


Jabber


Skype


Location


Interests

Found 23 results

  1. Does resilio support a silent install as service? It seems not to: https://help.resilio.com/hc/en-us/articles/205505969-How-to-Silently-Install-Resilio-Sync Resilio installs in "c:\ProgramData\Resilio Sync Service" if installed as service. That's fine, but I'm missing a auto-update ability, which would be possible to script if it supported silent install. If installing without service it install in "c:\Users\<user>\AppData\Roaming\Resilio Sync". Now that's a mess. The install must be elevated it seems, because if I run silent install below then it prompts for elevation, and does not install without elevation. It is registered as installed in windows programs and features, but is installed under the home-dir that I happened to run it under. If a future update is running as say Administrator rather than my elevated prompt I suspect I wont like the result. I tried using choco to install resilio-sync-home but ran into these problems, which seems to find their root cause in resilio installing as a program in windows requiring elevated prompt but not installing in the program files location.
  2. Hello, It's been a while since I set up Resilio Sync as a service on my computer, and now I've forgotten my username and password. I see instructions online for dealing with forgotten password. How does one deal with forgotten username? Thanks!
  3. I am trying to share a Resilio Business Seat with a Windows7 PC running Sync as a Service. On my own Win7 computer, I'm managing the Business Licenses and provide the link to the other computer, but since it's a Service accessed through the WebUI, it can't open the btsync:// file. I've reinstalled Sync without the Service, and it picks up the License easily. So, I then reinstalled the Service and it appears to be a separate application because it still says it's for Personal Use. I'd like to get this to work because I'd like to be able to sync files even when I'm not specifically logged into the machine. Other people will use it. How can I get the WebUI to properly share the Seat? Thanks.
  4. Edit: Moved to different subforum. Sorry! Here's the link to the new post. I am trying to share a Resilio Business Seat with a Windows7 PC running Sync as a Service. On my own Win7 computer, I'm managing the Business Licenses and provide the link to the other computer, but since it's a Service accessed through the WebUI, it can't open the btsync:// file. I've reinstalled Sync without the Service, and it picks up the License easily. So, I then reinstalled the Service and it appears to be a separate application because it still says it's for Personal Use. I'd like to get this to work because I'd like to be able to sync files even when I'm not specifically logged into the machine. Other people will use it. How can I get the WebUI to properly share the Seat? Thanks.
  5. Hello, I have a problem with rslsync basically I try to fix it since uninstalling it and trying doing a fresh install, try to modify the parameters in conf file, and also see and learn about service , upstart and so on. Basically if I write this command: service resilio-sync start the message I have its this: Starting Resilio Sync But this doest start any process. If I write this command: rslsync I have this message: By using this application, you agree to our Privacy Policy, Terms of Use and End User License Agreement. https://www.getsync.com/legal/privacy https://www.getsync.com/legal/terms-of-use https://www.getsync.com/legal/eula Resilio Sync forked to background. pid = 16428 But my problem is when I try to go to the GUI in the browser it doesnt work, http://ip:8888/ This is my conf file. I dont know for example if the path of PID file is correct, but i dont think it the source of my problem { "device_name": "Seedbox", // "listening_port" : 0, // 0 - randomize port /* storage_path dir contains auxilliary app files if no storage_path field: .sync dir created in current working directory */ "storage_path" : "/root/rslsync-config", /* set location of pid file */ // "pid_file" : "/var/run/resilio/resilio.pid", /* use UPnP for port mapping */ "use_upnp" : true, /* limits in kB/s. 0 - no limit */ "download_limit" : 0, "upload_limit" : 0, /* proxy configuration */ // "proxy_type" : "socks4", // Valid types: "socks4", "socks5", "http_connect". Any other value means no proxy // "proxy_addr" : "192.168.1.2", // IP address of proxy server. // "proxy_port" : 1080, // "proxy_auth" : false, // Use authentication for proxy. Note: only username/password for socks5 (RFC 1929) is supported, and it is not really secure // "proxy_username" : "user", // "proxy_password" : "password", /* directory_root path defines where the WebUI Folder browser starts (linux only). Default value is / */ // "directory_root" : "/home/", /* directory_root_policy defines how directory_root is used (linux only). Valid values are: "all" - accepts directory_root and its subdirectories for 'getdir' and 'adddir' actions "belowroot" - accepts directory_root's subdirectories for 'getdir' and 'adddir' actions, but denies attempts to use 'adddir' to create directories directly within directory_root Default value is "all". */ // "directory_root_policy" : "all", "webui" : { "listen" : "0.0.0.0:8888" // remove field to disable WebUI /* preset credentials. Use password or password_hash */ // ,"login" : "admin" // ,"password" : "password" // ,"password_hash" : "some_hash" // password hash in crypt(3) format // ,"allow_empty_password" : false // Defaults to true /* ssl configuration */ // ,"force_https" : true // disable http // ,"ssl_certificate" : "/path/to/cert.pem" // ,"ssl_private_key" : "/path/to/private.key" /* dir_whitelist defines which directories can be shown to user or have folders added (linux only) relative paths are relative to directory_root setting */ // ,"dir_whitelist" : [ "/home/user/MySharedFolders/personal", "work" ] } /* !!! if you set shared folders in config file WebUI will be DISABLED !!! shared directories specified in config file override the folders previously added from WebUI. */ /*, "shared_folders" : [ { "secret" : "MY_SECRET_1", // required field - use --generate-secret in command line to create new secret "dir" : "/home/user/resilio/sync_test", // * required field "use_relay_server" : true, // use relay server when direct connection fails "use_tracker" : true, "search_lan" : true, "use_sync_trash" : true, // enable SyncArchive to store files deleted on remote devices "overwrite_changes" : false, // restore modified files to original version, ONLY for Read-Only folders "selective_sync" : false, // add folder in selective sync mode "known_hosts" : // specify hosts to attempt connection without additional search [ "192.168.1.2:44444" ] } ] */ /* Advanced preferences can be added to config file. Info is available at "http://help.getsync.com/customer/portal/articles/1902048-sync-advanced-preferences--more-options" For example see folder_rescan_interval below */ //, "folder_rescan_interval" : "86400" } So basically i need to fix this to run Resilio Sync and also I need to put rslsync as a service and made it start in the startup process. Thanks
  6. I had btsync running as a service for a while. After changing to a new machine I installed rslsync from AUR. The installed files from AUR as shown in the installer (octopi) are added below. Being a newbie I fail in getting rslsync running as a service. [root@HWT430 henrich]# sudo systemctl enable resilio-sync Failed to enable unit: File resilio-sync.service: No such file or directory [root@HWT430 henrich]# This is the content of rslsync.service: [Unit] Description=Resilio Sync service After=network.target [Service] Type=simple User=rslsync Group=rslsync ExecStart=/usr/bin/rslsync --nodaemon --config /etc/rslsync.conf Restart=on-abort [Install] WantedBy=multi-user.target I tried to follow the Archlinux-wiki https://wiki.archlinux.org/index.php/Resilio_Sync#Configuration, but I failed in creating a new config-file. Any help would be very much appreciated ! Henrich
  7. I install BTsync V2.50 as a service in my windows 2008 server, I can access it on local server via local IP such as http://127.0.01:8888/gui/ but when I access it on another PC via public IP, such as http://50.31.14.11:8888/gui/ , it seems that I can't connect to BTsync? Why?
  8. Issue summary : installer rejects account credentials. Platform : Windows 10 Pro 64 bits (build 10586.839). Details : choosing 'Install Resilio Sync as a Windows service' triggers the 'Configer Resilio Sync Service' prompt. Valid credentials are rejected.
  9. Hello, my name is Christoph and I'am running resilio sync as a windows service. So far, so good. The problem is, that sometimes all peers are shown as offline but of course, they are not. After restarting the operating system a few times, resilio is able to find the other peers (online). But this happens at irregular intervals and I've run out of ideas. Do you have any solution or workaround for me? Many thanks in advance.
  10. Do Sync auto update when running as a service or do I have to manually install an update?
  11. Hello Everbody, i wish the WEB UI for the Android APP. i have more old Smartphones which can i use as a server, but i can't configure btsync remote with my pc and so i must get the smartphone from the cabinet. i hope the WEB UI can be integrated quickly in the android app. best regards.
  12. One thing I'd like to request is for Sync app to run as a service as it is on my server I must be logged in for files to sync. If this ran as a service and synced with my other Headless linux server that would be amazing.
  13. Hey Guys - I've got a basic question to ask, please. I subscribe to BTSync Pro and recently reinstalled the OS (Windows 10 x64) on one of my PCs. When installing BTSync, I saw that I had the option to install it as a service so did so. I set the credentials and am able to access the WebUI via http://localhost:8888. When trying to access the same WebUI from other systems on my LAN (http://newpchostname:8888), it does not work. I looked all through the preferences, advanced preferences, and searched online to find out how (if possible) to enable LAN system access, but so far haven't had luck. So - is there a way to make BTSync for Windows installed as a service accessable from other LAN PCs? My current guess is that the binding would have to be changed, but am not 100% of the format it needs to be in for Windows. The PC it's installed on is pretty basic and just has a single ethernet NIC, bluletooth, and WiFI as adapters. Thanks!
  14. In version 2.3 the "Change folder path" Option was removed as seen in the changelog here http://help.getsync.com/hc/en-us/articles/206216855-Sync-2-x-change-log What is the logic behind this? I just reinstalled sync so that I could install it as a service (it would be nice to have a button to do this in the GUI but that's a different topic I selected my default folder path, which is the same as the one I used before, but sync re-creates the files appending a "(1)" to it. I don't want it to do that. I want it to use the current data there so it doesn't have to sync about a TB of data (granted it wouldn't take long with the speed of sync...but still) It seems to me that this is a limitation on the software. I would like to see it put back in. For now I am gonna go back to 2.2 though.
  15. Hello, beeing able to run sync as a service on Windows is certainly appreciated. Still, how can I get back to running it as a desktop application without losing the entire configuration? Thank you!
  16. On the html gui for the bt sync service: I need to differentiate with multiple shares having the same folder name. Either by: 1. An option to display the complete path name in the 'Folder' column. Currently it only displays the folder name. 2. Allowing the renaming of the share displayed while leaving the true path/folder name intact. 3. In general, have a share name in addition to the folder name. (Applies to Android as well.) Thank you much for this wonderful program! nat
  17. Hello! I need to make sync end notification when BTSync runs as a service. The notice should look like a window with OK button. Is there a ready-to-use solution? Or may be someone could say me how to make it?
  18. BTSync Installer Script for Linux I'm posting here an installer script for Bittorrent Sync for linux. There are several out there, but this one was created for a few specific reasons: This script would work on multiple linux distros. Packages have been made for debian/ubuntu by tuxpoldo, however there isn't a very good solution for Fedora, OpenSUSE (I believe an rpm exists for OpenSUSE, but I can't remember for sure), or other distros.No automatic solution currently creates a systemd service for autmomatically starting BTSync on startup.Few solutions allows for an easy install, uninstall, or upgrade (a notable exception is tuxpoldo's work, and it only works on debian/ubuntu based distros). This script was created to be generic, and run on any distro that supports systemd (the only reason it only supports systemd is that I don't yet have an idea about making an rc script and detecting between normal init and systemd. Contributions for that are very welcome). How to use the script: Ensure you are running a Linux Distro which is using systemd!Execute the script using the following command as a normal user.sh ./BTSync_Installer.shEnsure that no other instances of btsync are present on the system. There could be conflicts. Use the script as a normal user. Do not run the script as root unless you have a very specific reason to do so.The script creates a shortcut under either "Internet" or "Applications" depending on your system. It will load the default browser to check on the BTSync instance.The script automatically starts BTSync on startup by creating a service (using the user who installed it), and starting it up immediately.There is no password for using the web interface, you can set one up though.Ensure that you install, upgrade, or remove BTSync with the same user who performed any other operations with this script. Don't run the script as a user, and use the remove function as root. It will not work. Technical Detail of the Script: Install Mode: Checks to see if BTSync exists already. If it does not, it will get the BTsync tarball from the web, install it in /usr/local/bin, create a systemd service and run it, and create a configuration in ~/.sync/sync.conf in your home folder. It will also create a shortcut and icon in your application menu (shortcut and icon is taken from tuxpoldo's work on Github, see here: https://github.com/tuxpoldo/btsync-deb).Upgrade Mode: It only gets a version of BTSync specified in the URL fields, and replaces the version in /usr/local/bin. It doesn't do anything else.Remove Mode: It stops and removes the systemd service, removes the binary in /usr/local/bin, removes the shortcuts and icons, and at your discretion will remove your configuration. Limitations: Currently the script only works with a computer that has systemd. I tested the script on Fedora, OpenSUSE, and Debian (specifically the Siduction distribution, which had systemd running on it). It wouldn't be a tremendous effort to get it to run on sysvinit, but I'd need some help with the script in order to implement that. I can also have it run on other init systems (like Upstart), if I get some hints about how to make a service.The script runs as a normal user. This is to make the permissions of using and accessing locations through BTSync the same as the user's permissions. This can lead to odd behavior on mounted drives, which may need root permissions to access the contents. Make sure mounted drives are owned by your user, or at least give permissions for your user to read and write.Right now the URL's this script uses are hardcoded to a specific version of BTSync. Can anyone provide links to the linux versions which always point to the latest version of BTSync? Either that or some hints about how to detect the version number and insert it into the url would be helpful. Otherwise, you'll have to manually replace the URL when a new version comes out. You can find the script at https://github.com/vinadoros/btsync/blob/master/BTSync_Installer.shThe readme (much the same as this post) can be seen here: https://github.com/vinadoros/btsync Enjoy! Any feedback is appreciated.
  19. Hi! I've updated btsync from 1.3.106 to 1.3.109 on one of my PC and now I can't share any folder place inside my home folder. All my shared folders has disappeared from web interface, and the explorer tree to share new folder don't show any folder deeper than /home/myuser/ My system is Arch Linux and I launch BtSync as service. Before this update worked perfect. I've an other PC with Ubuntu and btsync 1.3.109 also, launched as service too, and in it works correctly. I thinks than my problems with Arch may be with the permissions, but I don't know how to solve that. Anyone have any idea that I can do? Thanks! Edit: I've solved the problem. I only must launch process as a user service: systemctl --user start btsync
  20. Hi! I'm a big fan of bittorrent technology. I hope some day we will use it as direct urls in browser to navigate and load any content in real time. Today I decided to make btsync a main tool that will transfer backups of my sites to my PC. I prefer CentOS as server OS. But it's usual repos (main+epel+remi) has no btsync package yet. May be because of beta status of that tool. CentOS have very handy way to start and stop daemons, but you need init.d script. Shure, I've found some. While trying to make it all work, I occasionally created a kind of an installation script. And one uninstallation script too. So, now I have three scripts for you to share. May be it will be useful for someone. install.sh This script will install btsync executable into the depths of CentOS. You have to put this script and btsync binary in the same folder. It do exactly the next things: Creates user btsync if it doesn't existCreates folders:/var/run/btsync - for a pid file/var/lib/btsync - to store any files btsync need for work (mean only sync folder for now)Creates files:/usr/bin/btsync - executable/etc/btsync.conf - config file/etc/init.d/btsync - to control the daemon/etc/sysconfig/bysync - to set /etc/init.d/btsync script vars (like user, config or pidfile) without editing it. uninstall.sh This script removes all above, except user and config file. btsync.initd To start btsync as daemon in a usual way - chkconfig or "service btsync start" I'm not familliar with all that bash script writing. I hope someone could fix if I did something wrong. Thanks! Listing: install.sh #!/bin/sh# created by igordataprog=$(basename btsync)BINDIR=/usr/binCONFIG=/etc/$prog.confPROGDIR=/var/lib/$progPIDDIR=/var/run/btsync###################################################### Dont change anything below#####################################################BIN=$BINDIR/$progPIDFILE=$PIDDIR/$prog.pid#####################################################function createUser () { user=$1 if id -u $user >/dev/null 2>&1; then echo "User $user exists." else useradd -s /sbin/nologin -M -U $user || { echo "Can't create user $user."; exit 1; } echo "User $user created." fi}function createDir () { DIR=$1 if [ -d $DIR ]; then echo "Dir $DIR exists." else mkdir $DIR || { echo "Can't create directory $DIR."; exit 2; } echo "Dir $DIR created." fi}function chownchmod () { DIR=$1 chown $prog:$prog $DIR || { echo "Can't change owner and group to $prog for path $DIR."; exit 3; } chmod 0744 $DIR || { echo "Can't set permissions for path $DIR."; exit 3; } echo "Owner, group and permissions are set for path $DIR.";}######################################################create user btsynccreateUser $prog#create folders#directory for btsync working filescreateDir $PROGDIRchownchmod $PROGDIR#btsync storage dircreateDir $PROGDIR/syncchownchmod $PROGDIR/sync#directory for btsync pid filecreateDir $PIDDIRchownchmod $PIDDIR#copy executablecp ./$prog $BIN || { echo "Can't copy $prog to $BIN."; exit 4; }chmod 0755 $BIN || { echo "Can't set permissions for executable $BIN."; exit 5; }echo "Executable copied to $BIN and permissons are set."cp ./$prog.initd /etc/init.d/$prog || { echo "Can't copy init.d script to /etc/init.d/$prog."; exit 6; }echo "Init.d script /etc/init.d/$prog created and permissions are set"touch /etc/sysconfig/$prog || { echo "Can't create /etc/sysconfig/$prog configuration file.";}chmod 0644 /etc/sysconfig/$prog || { echo "Can't set permissions for /etc/sysconfig/$prog configuration file.";}echo "Init.d script configuration vars now can be set in /etc/sysconfig/$prog file."if [ -f $CONFIG ]; then echo "Config file $CONFIG exists."else echo "{\"device_name\":\"CentOS.btsync\",\"listening_port\":0, // 0 - randomize port\"storage_path\":\"$PROGDIR/sync\",\"pid_file\":\"$PIDFILE\",\"use_upnp\":true,\"download_limit\":0,\"upload_limit\":0,/* \"webui\" : { \"listen\" : \"0.0.0.0:8888\", \"login\" : \"admin\", \"password\" : \"pass\" },*//* \"shared_folders\" : [ { \"secret\" : \"VERYSPECIALSECRETPHRASEFORTHATDIR\", // use --generate-secret in command line to create new secret \"dir\" : \"/path/to/dir\", \"use_sync_trash\" : false, // enable to store files deleted on remote devices in .SyncArchive folder \"known_hosts\" : [ \"192.168.1.2:44444\" ] } ],*/\"check_for_updates\":true}" > $CONFIG echo "An empty config was created.Attention!You have to uncomment webui section and set user and password to access webui at http://localhost:8888 to be able create and share folders.Or uncomment and fill list of shared directories manualy."fi#####################################################echo "Now you can use \"service $prog (start|stop)\" commands.Thanks.Done.";uninstall.sh #!/bin/shprog=$(basename btsync)BINDIR=/usr/binCONFIG=/etc/$prog.confPROGDIR=/var/lib/$progPIDDIR=/var/run/btsync###################################################### Dont change anything below#####################################################BIN=$BINDIR/$progPIDFILE=$PIDDIR/$prog.pid#####################################################if [ -f $PIDFILE ]; then killall $progfirm -f $PIDFILErm -f $BINrm -f /etc/init.d/$progrm -f /etc/sysconfig/$progrm -f -rf $PROGDIRrm -f -rf $PIDDIRecho "Done.User $prog and config file $CONFIG have to be removed manualy."btsync.initd (put to /etc/init.d/ and rename to "btsync") #!/bin/sh### BEGIN INIT INFO# Provides: btsync# Required-Start: $local_fs $remote_fs# Required-Stop: $local_fs $remote_fs# Should-Start: $network# Should-Stop: $network# Default-Start: 2 3 4 5# Default-Stop: 0 1 6# Short-Description: service btsync (start|stop)# Description: Starts the btsync daemon.### END INIT INFO#############################USER="btsync"CONFIG=/etc/btsync.confPIDFILE=/var/run/btsync/btsync.pid#############################prog="btsync"retval=0if [ -f /etc/sysconfig/$prog ];then . /etc/sysconfig/$progfi# Source function library.. /etc/rc.d/init.d/functions# Source networking configuration.. /etc/sysconfig/network# Check that networking is up.[ "$NETWORKING" = "no" ] && exit 0start() { if [ -f $config ]; then echo -n $"Starting $prog: " daemon --user $USER $prog --config $CONFIG echo else echo "Couldn't start $prog for $USER (no $config found)" fi} stop() { echo -n $"Stopping $prog: " killproc -p $PIDFILE echo} case "$1" in start)start;;stop)stop;;restart|reload|force-reload)stopstart;;status)status $progretval=$?;;*)echo "Usage: /etc/init.d/btsync {start|stop|reload|force-reload|restart|status}"exit 1esac exit 0btinstall.zip
  21. Hi all, I am new to BT Sync and fedora. I have installed BT sync in fedora machine and able to get it to run and sync through the browser gui etc. However I have a hard time getting BT Sync to auto start when the machine starts. May I know how can i do it? I know there is a lot of tutorials on this but there are for different distro. How to get it run specifically for Fedora? Thanks.
  22. Hi people, I'm Diego, work on Conexia and I love Sync! I'm here to talk about the use of bysync to copy the back ups (and other stuff) from a lot of client to a central server where the files goto a tape. At this moment, I have 5 CentOS clients sending files to a Windows 2008 R2. All the btsyncs apps are working as a service. All the CentOS have one shared folder (all by config file) Windows only have RO Secrets (configured by the GUI) Additionally, i formatted the volume for the shared folders into 64K to reduce the IO. Please, let me know what you think and how to get it better. Saludos, Diego
  23. Hello- I have high hopes for this bit torrent sync I hear it's really good. However I have a great number of services disabled through services.msc in windows 7. I have disabled them 1 or 2 at a time in the past for varying reasons. But usually just to speed up my system and free unnessesary services I don't use. In the past I have not been using torrents of anyting pnp on my windows box due to virus's and rootkits and stuff. I am not sure if the services I have disabled will have any effect on bittorrent sync though. I looked at the services.msc and there are a lot of services that mention p2p and other peer sharing wordage. Here is my question: what services are required in windows 7 for bittorrent sync to work properly? And while we're at it, what services are required for any torrent technology? thx- kk